using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System;
using Com.Bocom.OpenApi;
using System.Runtime.Serialization;

namespace Com.Bocom.OpenApi
{
    /// <summary>
    /// 1.10 删除账单
    /// </summary>
    public class DelContractOrderRequestV1 : BocomRequest<DelContractOrderResponseV1>
    {

        public override Type GetResponseClass()
        {
            return typeof(DelContractOrderResponseV1);
        }

        public override bool IsNeedEncrypt()
        {
            return false;
        }

        public override string GetMethod()
        {
            return "POST";
        }

        public override Type GetBizContentClass()
        {
            return typeof(DelContractOrderRequestV1Biz);
        }

        [DataContract]
        public class DelContractOrderRequestV1Biz : BizContent
        {

            /// <summary>
            /// 机构编号 </summary>
            [DataMember]
            public string org_id { get; set; }

            /// <summary>
            /// 账单编号 </summary>
            [DataMember]
            public string bill_id { get; set; }

        }
    }
}

